import request from "@/api/request.js";

// 根据政令ID获取领域公司信息
/**
 * @param {cRelated, id} 
 */
export function getDecreeIndustry(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderImpactAnalysis/industry/${params.id}`,
        params
    })
}

// 获取行业领域列表
export function getDecreehylyList() {
    return request({
        method: 'GET',
        url: `/api/billImpactAnalysis/industry/hylyList`,
    })
}

// 获取受影响实体列表
export function getDecreeEntities(params) {
    return request({
        method: 'POST',
        url: `/api/administrativeOrderInfo/relatedEntities`,
        data: params
    })
}

// 获取实体产业链列表
export function getDecreeRelatedChain(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/relatedChain/${params.id}`,
    })
}

// 获取产业链节点列表
export function getDecreeChainNodes(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/relatedChainNodes/${params.id}`,
    })
}

// 获取实体关系节点列表
export function getDecreeRelatedEntitie(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/listRelatedEntitie/${params.id}`,
    })
}

// 根据政行业领域ID获取公司列表
/**
 * @param {cRelated, id} 
 */
export function getDecreeCompany(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderImpactAnalysis/industry/company/${params.id}`,
        params
    })
}

// 获取政令举措落实分析
/**
 * @param {id} 
 */
export function getDecreeAction(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderImpactAnalysis/action/${params.id}`,
        params
    })
}
